slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDTRLanczosSetKSP

Associate a linear solver object (KSP) to the SVD solver.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosSetKSP(SVD svd,KSP ksp)

Collective

### Input Parameters

| svd | - SVD solver
| ksp | - the linear solver object

### Note

Only used for the GSVD problem.

### See Also

SVDTRLanczosGetKSP()

### Level

advanced

### Location

src/svd/impls/trlanczos/trlanczos.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages